## stix2 3.0.1

=== requirements.txt ===
bumpversion
ipython
nbconvert<6
nbsphinx==0.8.6
pre-commit
pygments<3,>=2.4.1
pytest
pytest-cov
sphinx<2
sphinx-prompt
tox

-e .

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = stix2
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
stix2 (3.0.1-0kali1) kali-dev; urgency=medium

  * Initial release

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 12 Jul 2023 17:36:52 +0200

=== debian/control ===
Source: stix2
Section: python
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@offensive-security.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-setuptools,
 python3-requests,
 python3-tz,
 python3-stix2-patterns,
 python3-simplejson,
 python3-sphinx,
 python3-nbsphinx,
 python3-sphinx-prompt,
 python3-all,
Testsuite: autopkgtest-pkg-python
Standards-Version: 4.6.2
Homepage: https://github.com/oasis-open/cti-python-stix2
Vcs-Browser: https://gitlab.com/kalilinux/packages/stix2
Vcs-Git: https://gitlab.com/kalilinux/packages/stix2.git

Package: python3-stix2
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
Suggests:
 python-stix2-doc,
Description: Python APIs for serializing and de-serializing STIX2 JSON content (Python 3)
 This package contains Python APIs for serializing and de-serializing STIX2
 JSON content, along with higher-level APIs for common tasks, including data
 markings, versioning, and for resolving STIX IDs across multiple data sources.
 .
 This package installs the library for Python 3.

Package: python-stix2-doc
Section: doc
Architecture: all
Depends:
 ${sphinxdoc:Depends},
 ${misc:Depends},
Description: Python APIs for serializing and de-serializing STIX2 JSON conten (common documentation)
 This package contains Python APIs for serializing and de-serializing STIX2
 JSON content, along with higher-level APIs for common tasks, including data
 markings, versioning, and for resolving STIX IDs across multiple data sources.
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export PYBUILD_NAME=stix2

%:
	dh $@ --buildsystem=pybuild --with sphinxdoc


#execute_after_dh_auto_build-indep: export http_proxy=127.0.0.1:9
#execute_after_dh_auto_build-indep: export https_proxy=127.0.0.1:9
#execute_after_dh_auto_build-indep:
#	PYTHONPATH=. python3 -m sphinx -N -bhtml \
#	docs/ build/html # HTML generator

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/oasis-open/cti-python-stix2/tags \
    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@
